Bug 1393425 - FileZilla / POEdit panes can't be scrolled using Touchpad Two-Finger Scrolling under Wayland
Summary: FileZilla / POEdit panes can't be scrolled using Touchpad Two-Finger Scrollin...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK3
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-11-09 14:25 UTC by Anass Ahmed
Modified: 2019-05-28 19:33 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 19:33:55 UTC


Attachments (Terms of Use)

Description Anass Ahmed 2016-11-09 14:25:45 UTC
Description of problem:
I can't scroll any pane in FileZilla (wxGTK3) or POEdit (I don't know) under Wayland using touchpad 2-finger scrolling. The scrollbar doesn't even get highlighted (change its shape) when I move the mouse on the pane.

It works perfectly under X11.

Version-Release number of selected component (if applicable):
filezilla-3.22.2.2-1.fc25.x86_64
poedit-1.8.11-1.fc25.x86_64
gtk3-3.22.2-1.fc25.x86_64
wxGTK3-3.0.2-26.fc25.x86_6

How reproducible:
Always

Steps to Reproduce:
1. Open FileZilla or POEdit.
2. Move the mouse to a Pane with scrollbars.
3. Try to scroll using touchpad 2-finger scrolling.

Actual results:
It doesn't scroll the pane contents.

Expected results:
It should scroll the pane contents.

Additional info:

Comment 1 Scott Talbert 2016-12-29 04:56:02 UTC
Has been reported upstream:
http://trac.wxwidgets.org/ticket/17734

Comment 2 Fedora End Of Life 2017-11-16 18:36:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Anass Ahmed 2017-11-17 00:55:29 UTC
I think the problem had been fixed for me in F27 (or at some update at F26, I don't remember). I've just tested POEdit and it worked. I don't have FileZilla right now though.

Comment 4 Fedora End Of Life 2018-02-20 15:28:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Ben Cotton 2019-05-02 22:05:17 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 19:33:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.